cURL
curl --request GET \
--url https://api.recoupable.com/api/catalogs \
--header 'x-api-key: <api-key>'import requests
url = "https://api.recoupable.com/api/catalogs"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.recoupable.com/api/catalogs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"catalogs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"error": "<string>"
}{
"status": "error",
"error": "<string>"
}{
"status": "error",
"error": "<string>"
}Songs & Catalogs
Get Catalogs
Retrieve catalogs associated with a specific account. The endpoint joins account_catalogs with catalogs to return catalog metadata for the specified account.
GET
/
api
/
catalogs
cURL
The Catalogs API also supports POST for creating/linking catalogs and DELETE for unlinking catalogs. See the Create Catalogs and Delete Catalogs endpoints.
Authorizations
Your Recoup API key. Learn more.
Query Parameters
The unique identifier of the account to query
